GET /api/v1/insight/metadata/(ci-name)
The metadata includes the dimension and measure that are part of the calculated insight.
Syntax
- HTTP method
- GET
- Availability
- Data Cloud v1.0, Salesforce v51.0
- Formats
- REST
- URI
- /api/v1/insight/metadata/(ci-name)
Request Parameters
| Field Name | Field Type | Description |
|---|---|---|
| ci_name | string | Required. The calculated insight name. Example: IndividualChildrenCount__cio |
Examples
- Request
-
1https://{TSE}.360a.salesforce.com/api/v1/insight/metadata/{ci-name} - Response
-
1{ 2 "metadata": [ 3 { 4 "name": "Avg_Spends__cio", 5 "displayName": "Avg Spends", 6 "dimensions": [ 7 { 8 "name": "Id__c", 9 "displayName": "Id", 10 "type": "STRING" 11 }, 12 { 13 "name": "FirstName__c", 14 "displayName": "First Name", 15 "type": "STRING" 16 } 17 ], 18 "measures": [ 19 { 20 "name": "Avg_Spend__c", 21 "displayName": "Avg Spend", 22 "type": "NUMBER", 23 "rollupable": true 24 } 25 ], 26 "relationships": [ 27 { 28 "fromEntity": "ssot__Individual__dlm", 29 "toEntity": "Avg_Spends__cio" 30 } 31 ], 32 "partitionBy": "Id__c" 33 } 34 ] 35}
HTTP Responses
| Response | Reason |
|---|---|
| 200 OK | Callback successfully verified |
| 400 Bad Request | Invalid request |
| 403 Forbidden | Failed to pass authorization. |
| 404 Not Found | Incorrect callback ID, verification key, or both. |
| 422 Unprocessable Entity | Attribute name used in fields/filter parameter doesn’t exist. |
| 500 Server Error | Internal error |